### Constructor

# FwupdPlugin Archive new

since: 1.2.2

#### Declaration [src]

    FuArchive*
    fu_archive_new (
      GBytes* data,
      FuArchiveFlags flags,
      GError** error
    )

#### Description [src]

Parses `data` as an archive and decompresses all files to memory blobs.

If `data` is unspecified then a new empty archive is created.

Available since: 1.2.2

#### Parameters

`data`

  Type: `GBytes`

  Archive contents.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `FuArchiveFlags`

  Archive flags, e.g. `FU_ARCHIVE_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuArchive`

A `FuArchive`, or `NULL` if the archive was invalid in any way.

The caller of the function takes ownership of the data, and is responsible for freeing it.